Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.peerreview.commitment
Class PeerInfo<Handle extends RawSerializable>

    java.lang.Object
      org.mpisws.p2p.transport.peerreview.commitment.PeerInfo<Handle>

    public class PeerInfo<Handle extends RawSerializable>

extends java.lang.Object

We need to keep some state for each peer, including separate transmit and receive queues

Field Summary
`static int` | `INITIAL_CHALLENGE_INTERVAL_MICROS`

Constructor Summary
`PeerInfo(Handle handle)`

Method Summary
`void` | `clearXmitQueue()`
`long` | `getCurrentChallengeInterval()`
`long` | `getCurrentTimeout()`
`Handle` | `getHandle()`
`long` | `getLastChallenge()`
`long` | `getLastTransmit()`
`java.util.LinkedList<Tuple<UserDataMessage<Handle>,java.util.Map<java.lang.String,java.lang.Object>>>` | `getRecvQueue()`
`int` | `getRetransmitsSoFar()`
`java.util.LinkedList<OutgoingUserDataMessage<Handle>>` | `getXmitQueue()`
`boolean` | `isReceiving()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INITIAL_CHALLENGE_INTERVAL_MICROS

    public static final int INITIAL_CHALLENGE_INTERVAL_MICROS

See Also:
  Constant Field Values

Constructor Detail

### PeerInfo

    public PeerInfo(Handle handle)

Method Detail

### getHandle

    public Handle getHandle()

### getLastTransmit

    public long getLastTransmit()

### getCurrentTimeout

    public long getCurrentTimeout()

### getRetransmitsSoFar

    public int getRetransmitsSoFar()

### getLastChallenge

    public long getLastChallenge()

### getCurrentChallengeInterval

    public long getCurrentChallengeInterval()

### getXmitQueue

    public java.util.LinkedList<OutgoingUserDataMessage<Handle>> getXmitQueue()

### getRecvQueue

    public java.util.LinkedList<Tuple<UserDataMessage<Handle>,java.util.Map<java.lang.String,java.lang.Object>>> getRecvQueue()

### isReceiving

    public boolean isReceiving()

### clearXmitQueue

    public void clearXmitQueue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.